---
updatedAt: 2025-10-09T17:48:34.000Z
agentTools:
  projectIndex: https://docs.uplynk.com/llms.txt
---

# Toggle Source Feed

v4

Toggles the source of a failover group's feed between a Live Slicer and slate.

### Request

Request syntax:

PUT /failover-groups/[Failover Group ID](#FailoverGroupID-TSF)/set\_no\_slicer

Request URL variable:

Define the following variable when submitting the above request:

| Variable                    | Description                                                                                                                                                                                                                   |
| --------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Failover Group ID  Required | Replace this variable with the system-defined ID assigned to the desired failover group. Use the [Get All Failover Groups endpoint](#GetAllFailoverGroups) to retrieve a list of failover groups and their system-defined ID. |

Request body parameter:

Pass the following request body parameter:

| Name                 | Data Type | Description                                                                                                                                                                                                                                                                                                                                     |
| -------------------- | --------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| no\_slicer  Required | Boolean   | Determines the source for the failover group's feed. Valid values are: *True: Sets the source to missing content slate. Additionally, it sets the failover group's active\_slicer\_id to no\_slicer.* False: Sets the source to the active Live Slicer. Additionally, it sets the failover group's active\_slicer\_id to this Live Slicer's ID. |

### Response

The response for a successful request is a 204 No Content.

### Sample Request/Response

The code below (Python 3) shows how to toggle the source of a failover group's feed.

This code imports names from the `api_auth` module for V4 APIs (see below).

<TutorialTile
  backgroundColor="#018FF4"
  emoji="🦉"
  id="682d18228dd6230012097fad"
  link="https://docs.uplynk.com/v2.0/recipes/api-auth-for-classic-authentication-v4-apis"
  slug="api-auth-for-classic-authentication-v4-apis"
  title="API Auth for Classic Authentication (V4 APIs)"
/> 

```python
import json
import requests
from api_auth import APICredentials, APIParams

class FailoverGroup:
    def __init__(self):
        self.host = "https://services.uplynk.com"

    def run(self):
        self._toggle_source_feed()

    def _toggle_source_feed(self):
        failover_group_id = 'e8d6b5cb940c40cc9ec6ad081a38f3f0' # Replace with the ID for the desired failover group.
        url = "{}{}{}{}".format(self.host, "/api/v4/failover-groups/", failover_group_id, "/set_no_slicer")

        payload = {
            'no_slicer': True
        }

        headers = {'Content-Type': 'application/json'}

        response = requests.put(
            url, params=APIParams(APICredentials()).get_params({}), data=json.dumps(payload), headers=headers
        )

        print(response.status_code)

FailoverGroup().run()
```